## Hierarchy For Package org.opengis.geometry

Package Hierarchies:
  All Packages

## Class Hierarchy

- Object
  - CodeList<E> (implements Comparable<T>, Serializable)
    - PrecisionType
  - Throwable (implements Serializable)
    - Exception
      - RuntimeException
        - IllegalArgumentException
          - MismatchedDimensionException
          - MismatchedReferenceSystemException
        - UnsupportedOperationException
          - UnmodifiableGeometryException

## Interface Hierarchy

- Cloneable
  - Cloneable
    - DirectPosition (also extends Position)
- Comparable<T>
  - Precision
- Envelope
  - BoundingBox
- Position
  - DirectPosition (also extends Cloneable)
- PositionFactory
- PrecisionFactory
- TransfiniteSet
  - Geometry
    - Complex
      - Boundary

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.